import { Component } from '@angular/core';
import { ModalsGamePage } from '../modalsGame/modalsGame.page';

@Component({
  selector: 'app-home',
  templateUrl: 'home.page.html',
  styleUrls: ['home.page.scss'],
})
export class HomePage {

  constructor(private modalsGamePage: ModalsGamePage) {}

  async wellnesswheel() {
    // On click open modal page
    // all modal pages have the same style.
    // Just the steps differ
    // On clicking "start" check if cookie exists
    // if it exists ask if the user wants to restart or continue
    // otherwise a cookie will be created with the game information
    // Than start the game
    await this.modalsGamePage.presentModal("Wellnesswheel");
  }

  async lifeline() {
    await this.modalsGamePage.presentModal("Lifeline");
  }

  async beliefs() {
    await this.modalsGamePage.presentModal("Beliefs");
    }

  async values() {
    await this.modalsGamePage.presentModal("Values");
  }



}
